4Suite™ API Documentation

# ► Module Ft.Server.Server.SCore.RawFileImp

Rawfile repository resource class.
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: RawFileImp |  |  |  | Functions: NewRawFileXml |  |  |  | Fields: FTSERVER_NAMESPACE, SET_IMT_XUPDATE, XLINK_NAMESPACE

## Classes

class RawFileImp(Ft.Server.Server.SCore.ResourceMetaDataImp.ResourceMetaDataImp)
Every resource in the repository is a RawFile

### Methods

asSchematron(self)
Return this object as a non-live compiled schematron document
asStylesheet(self)
Return this object as a non-live compiled stylesheet
getContent(self)
Get the string content of this resource
getContentResource(self)
Get the resource the represents the content of this object
getImt(self)
Returns the Internet Media Type of the raw file resource
getMetaDataResource(self)
Get the string meta data of this resource
setContent(self, src)
Set the string content of this resource
setImt(self, imt)
Sets the Internet Media Type of the raw file resource

### Methods inherited from class Ft.Server.Server.SCore.ResourceMetaDataImp.ResourceMetaDataImp

__init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContentSlice, getCreationDate, getDisplayPath, getExtFunctionsAndElements, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, getValidationInfo, hasResource, inheritAcl, isResourceType, markTemporary, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setOwner, toXPathContext, verifyAcl, xUpdate

### Fields

resourceType = 3

## Functions

NewRawFileXml(driver, path, acl, owner, imt, src)

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
SET_IMT_XUPDATE = '<xupdate:modifications\n version="1.0"\n xmlns:x...mt">%s</xupdate:update>\n</xupdate:modifications>\n'
XLINK_NAMESPACE = u'http://www.w3.org/1999/xlink'